Bug 990225 - [RHEV/RHEL] Integrate dynamic offloads into virtio-net device
Summary: [RHEV/RHEL] Integrate dynamic offloads into virtio-net device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Virtualization Maintenance
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 950611
Blocks: 958737 1002816
TreeView+ depends on / blocked
 
Reported: 2013-07-30 15:39 UTC by Dmitry Fleytman
Modified: 2016-09-27 16:34 UTC (History)
15 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.385.el6
Doc Type: Enhancement
Doc Text:
This update introduces the receive segment coalescing (RSC) feature for the virtio-net driver. This allows the driver to report coalesced transmission control protocol (TCP) segments to the OS. Note that the support for RSC is included in virtio-net for Windows Server 2012 and later versions.
Clone Of: 950611
: 1002816 (view as bug list)
Environment:
Last Closed: 2013-11-21 07:05:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1553 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2013-11-20 21:40:29 UTC

Description Dmitry Fleytman 2013-07-30 15:39:22 UTC
+++ This bug was initially created as a clone of Bug #950611 +++

Description of problem:
Adjustments in KVM and host networking needed to pass WHQL with RSC feature enabled.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from Yan Vugenfirer on 2013-05-06 04:48:05 EDT ---



--- Additional comment from Dmitry Fleytman on 2013-07-05 03:50:43 EDT ---

Dynamic guest offloads configuration commits:

http://git.engineering.redhat.com/?p=users/yvugenfi/internal-kvm-guest-drivers-windows/.git;a=commit;h=03dbd5515cc0585c1490d36277ef658cefdc3e54
http://git.engineering.redhat.com/?p=users/yvugenfi/internal-kvm-guest-drivers-windows/.git;a=commit;h=17c03988a3f994bd0bf888468bf0313ab393db42

Comment 13 Mike Cao 2013-09-03 06:00:07 UTC
Re-Test this issue on virtio-win-prewhql-67 

Actual Results:
RSC job is still failed 
Offload LSO job pass
Offload RSC job pass


Based on above ,this issue has been fixed from whql side

Comment 18 errata-xmlrpc 2013-11-21 07:05:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1553.html


Note You need to log in before you can comment on or make changes to this bug.